import 'dart:async';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class ItPlugin {
  static List<Widget> _loadingDialog;

  static const MethodChannel _channel =
      const MethodChannel('itplugin');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static List<Widget> get loadingDialog {
    if(_loadingDialog != null)
      return _loadingDialog;
    else
      return <Widget>[
        Container(
          width: 50,
          height: 50,
          child: CircularProgressIndicator()),
      ]; 
  }

  static set loadingDialog(List<Widget> value){
    _loadingDialog = value;
  }
}
